Bug 1293989 - C++11 ABI tag + pretty printing do not work [NEEDINFO]
C++11 ABI tag + pretty printing do not work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
23
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Martin Cermak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 17:21 EST by Jan Kratochvil
Modified: 2016-12-20 12:21 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:21:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jan.kratochvil: needinfo? (jakub)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 19436 None None None 2016-01-07 13:11 EST

  None (edit)
Description Jan Kratochvil 2015-12-23 17:21:16 EST
Description of problem:
F-23 gcc-5.3.1-2.fc23.x86_64 produces new symbol types which GDB cannot cope with.  I expect a similar GCC version will be shipped in DTS-4.1.

Version-Release number of selected component (if applicable):
gdb-7.10.1-30.fc23.x86_64
FSF GDB trunk b1a0d2a059824b9c2826ff27ce459c68d4bf0e10 2015-12-23

How reproducible:
Always.

Steps to Reproduce:
echo -e '#include <string>\nstd::string foovar;'|g++ -c -o 20.o -Wall -g -x c++ -;nm -C 20.o|grep -w foovar
0000000000000000 B foovar[abi:cxx11]
gdb -batch ./20.o -ex "p foovar" -ex "p 'foovar[abi:cxx11]'"

Actual results:
No symbol "foovar" in current context.
$1 = {static npos = <optimized out>, _M_dataplus = {<std::allocator<char>> = {<__gnu_cxx::new_allocator<char>> = {<No data fields>}, <No data fields>}, _M_p = 0x0 <__static_initialization_and_destruction_0(int, int)>}, _M_string_length = 0, {_M_local_buf = '\000' <repeats 15 times>, _M_allocated_capacity = 0}}

Expected results:
$1 = ""
No symbol "foovar[abi:cxx11]" in current context.

Additional info:
One can use gcc -D_GLIBCXX_USE_CXX11_ABI=0 to get the old behavior.
Comment 1 Jan Kratochvil 2015-12-23 17:21:58 EST
Asking GCC first what is the planned behavior of DTS-4.1 GCC.
Comment 3 Jan Kratochvil 2015-12-24 12:33:44 EST
F-22 is unaffected: gcc.spec:
%if 0%{fedora} >= 21 && 0%{fedora} <= 22
        --with-default-libstdcxx-abi=gcc4-compatible \
%endif
Comment 4 Fedora End Of Life 2016-11-24 09:29:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:21:30 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.